### Method

# WebKit2WebExtension DOMXPathExpression evaluate

#### Declaration [src]

    WebKitDOMXPathResult*
    webkit_dom_xpath_expression_evaluate (
      WebKitDOMXPathExpression* self,
      WebKitDOMNode* contextNode,
      gushort type,
      WebKitDOMXPathResult* inResult,
      GError** error
    )

#### Description

No description available.

Deprecated since: | 2.22
Use JavaScriptCore API instead.

#### Parameters

`contextNode` | `WebKitDOMNode`
| A `WebKitDOMNode`.
| The data is owned by the caller of the function.
`type` | `gushort`
| A #gushort.
`inResult` | `WebKitDOMXPathResult`
| A `WebKitDOMXPathResult`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `WebKitDOMXPathResult`
| A `WebKitDOMXPathResult`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.